I miss this extension!! Rated 5 out of 5 stars

This was my favorite and I am lost without it. I upgraded to FF3.0 and this is no longer compatible.
I hope who ever made this extension updates is soon!

This review is for a previous version of the add-on (1.1.6).